# BoardingPassDocument class

Inheritance
  - Object
  - BarcodeFormattedResult
  - BoardingPassDocument
Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, explicitToJson: true)

## Constructors

BoardingPassDocument(int? numberOfLegs, String? name, bool? electronicTicket, String? securityData, List<BoardingPassLeg>? legs)
BoardingPassDocument.fromJson(Map<String, dynamic> json)
  factory

## Properties

documentFormat ↔ String
  read / write inherited
electronicTicket ↔ bool?
  Value indicates that this ticket is an electronic ticket
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
legs ↔ List<BoardingPassLeg>?
  Legs information
  read / write
name ↔ String?
  Passenger name
  read / write
numberOfLegs ↔ int?
  Number of legs in document
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
securityData ↔ String?
  Security data string
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_FORMAT → const String
  `'BoardingPass'`